Table of Contents

Class: Homogenous | Twisted-0.19.0/twisted/python/roots.py
--- | ---
### A homogenous collection of entities. I will only contain entities that are an instance of the class or type specified by my `entityType` attribute.
Base Classes |
--- | ---
Constrained Collection
Methods |
--- | ---
entityConstraint getEntityType getNameType
| entityConstraint
    entityConstraint ( self,  entity )
Exceptions |
--- | ---
ConstraintViolation("%s of incorrect type (%s)" %( entity, self.entityType ) )
| getEntityType
    getEntityType ( self )
| getNameType
    getNameType ( self )

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:11 2002 by HappyDoc version 2.0